#
# Licensed to Jasig under one or more contributor license
# agreements. See the NOTICE file distributed with this work
# for additional information regarding copyright ownership.
# Jasig licenses this file to you under the Apache License,
# Version 2.0 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a
# copy of the License at:
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on
# an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#

#==================== Maven Filtering ========================
# You can use this file to manage environment-specific settings and supply them 
# to the appropriate locations at build time.  This process uses a Maven feature 
# called "Filtering" (http://maven.apache.org/shared/maven-filtering/).
#
# Place filter tokens for environment-specific settings in configuration files, 
# then provide values for those tokens below.  NOTE:  Files with filter tokens 
# MUST be listed in the <includes> section for filtering in the appropriate 
# pom.xml file.

# Use 'filters.file' to override the location of the properties file for 
# Maven filtering.  The specified location should be a RELATIVE PATH.  If not 
#specified, this file (build.properties or build.{env}.properties) will be used.
#filters.file=filters/prod.properties

## EXAMPLES ##

## HSQL Configuration
environment.build.hsql.port=8887

################################################################################
## Database configuration section ##
## ##
## Warning : Each time you need to change the driver here, you also need to ##
## change the JDBC connector used in (root) pom.xml ##
################################################################################
# MySQL properties to uncomment :
environment.build.hibernate.connection.driver_class=com.mysql.jdbc.Driver
environment.build.hibernate.connection.url=jdbc:mysql://sql.univ.fr:3306/esup4
environment.build.hibernate.connection.username=esup4_user
environment.build.hibernate.connection.password=esup4_pwd

# PostGreSQL properties to uncomment :
#environment.build.hibernate.connection.driver_class=org.postgresql.Driver
#environment.build.hibernate.connection.url=jdbc:postgresql://sql.univ.fr:5432/esup4
#environment.build.hibernate.connection.username=esup4
#environment.build.hibernate.connection.password=esup4

# JNDI property to uncomment :
#environment.build.hibernate.connection.jndiname=jdbc/uPortalDB

# uPortal server configuration properties
environment.build.uportal.server=esup4.univ.fr
environment.build.real.uportal.server=esup4.univ.fr
environment.build.uportal.protocol=https
environment.build.uportal.context=/uPortal
environment.build.real.uportal.context=/uPortal
environment.build.uportal.email.fromAddress=portal4@univ.fr

# CAS server configuration properties
environment.build.cas.server=auth.univ.fr
environment.build.cas.protocol=https
environment.build.cas.context=/cas

# LDAP
environment.build.ldap.url=ldaps://ldap1.univ.fr:636 ldaps://ldap2.univ.fr:636
environment.build.ldap.baseDn=dc=univ,dc=fr
environment.build.ldap.userName=
environment.build.ldap.password=
environment.build.ldap.pooled=false
environment.build.ldap.uidAttr=uid


# Logs
environment.build.log.logfileDirectory=/home/esup4/logs
environment.build.log.logfileName=uPortal.log
environment.build.log.rootLevel=INFO
environment.build.log.layoutConversionPattern=[${environment.build.host.logicalName}]%5p [%t] %d{MMM/dd HH:mm:ss,SSS} %c{2}.[%x] - %m%n
environment.build.log.rollingLogFileDatePattern=yyyy-MM-dd-HH
 
# Esup 
# NOT USE NOW
environment.build.host.logicalName=esup1

environment.build.xsl.debug=ERROR
environment.build.xsl.cache=
environment.build.xsl.help.url=
environment.build.xsl.help.login=
 
environment.build.stats.attributeType=
environment.build.stats.channelFnames=
environment.build.stats.size=
 

environment.build.session.lifetime=
environment.build.languages=
environment.build.default.language=
environment.build.upload.maxsize=
 
environment.build.ws.groups=
environment.build.esup.monitor=
 
environment.build.userprefs.save=
 
esup.title.main=
